# Uses of Interface
org.springframework.core.io.ResourceLoader

Packages that use ResourceLoader
Package
Description
org.springframework.core.io
Generic abstraction for (file-based) resources, used throughout the framework.
org.springframework.core.io.support
Support classes for Spring's resource abstraction.
org.springframework.core.type.classreading
Support classes for reading annotation and class-level metadata.

## Uses of ResourceLoader in org.springframework.core.io

Classes in org.springframework.core.io that implement ResourceLoader
Modifier and Type
Class
Description
`class`
`ClassRelativeResourceLoader`
`ResourceLoader` implementation that interprets plain resource paths as relative to a given `java.lang.Class`.
`class`
`DefaultResourceLoader`
Default implementation of the `ResourceLoader` interface.
`class`
`FileSystemResourceLoader`
`ResourceLoader` implementation that resolves plain paths as file system resources rather than as class path resources (the latter is `DefaultResourceLoader`'s default strategy).
Methods in org.springframework.core.io with parameters of type ResourceLoader
Modifier and Type
Method
Description
`Resource`
ProtocolResolver.`resolve(String location, ResourceLoader resourceLoader)`
Resolve the given location against the given resource loader if this implementation's protocol matches.
Constructors in org.springframework.core.io with parameters of type ResourceLoader
Modifier
Constructor
Description
``
`ResourceEditor(ResourceLoader resourceLoader, PropertyResolver propertyResolver)`
Create a new instance of the `ResourceEditor` class using the given `ResourceLoader` and `PropertyResolver`.
``
`ResourceEditor(ResourceLoader resourceLoader, PropertyResolver propertyResolver, boolean ignoreUnresolvablePlaceholders)`
Create a new instance of the `ResourceEditor` class using the given `ResourceLoader`.

## Uses of ResourceLoader in org.springframework.core.io.support

Subinterfaces of ResourceLoader in org.springframework.core.io.support
Modifier and Type
Interface
Description
`interface`
`ResourcePatternResolver`
Strategy interface for resolving a location pattern (for example, an Ant-style path pattern) into `Resource` objects.
Classes in org.springframework.core.io.support that implement ResourceLoader
Modifier and Type
Class
Description
`class`
`PathMatchingResourcePatternResolver`
A `ResourcePatternResolver` implementation that is able to resolve a specified resource location path into one or more matching Resources.
Methods in org.springframework.core.io.support that return ResourceLoader
Modifier and Type
Method
Description
`ResourceLoader`
PathMatchingResourcePatternResolver.`getResourceLoader()`
Return the `ResourceLoader` that this pattern resolver works with.
Methods in org.springframework.core.io.support with parameters of type ResourceLoader
Modifier and Type
Method
Description
`static ResourcePatternResolver`
ResourcePatternUtils.`getResourcePatternResolver(ResourceLoader resourceLoader)`
Return a default `ResourcePatternResolver` for the given `ResourceLoader`.
Constructors in org.springframework.core.io.support with parameters of type ResourceLoader
Modifier
Constructor
Description
``
`LocalizedResourceHelper(ResourceLoader resourceLoader)`
Create a new LocalizedResourceHelper with the given ResourceLoader.
``
`PathMatchingResourcePatternResolver(ResourceLoader resourceLoader)`
Create a `PathMatchingResourcePatternResolver` with the supplied `ResourceLoader`.
``
`PropertySourceProcessor(ConfigurableEnvironment environment, ResourceLoader resourceLoader)`

## Uses of ResourceLoader in org.springframework.core.type.classreading

Methods in org.springframework.core.type.classreading that return ResourceLoader
Modifier and Type
Method
Description
`final ResourceLoader`
SimpleMetadataReaderFactory.`getResourceLoader()`
Return the ResourceLoader that this MetadataReaderFactory has been constructed with.
Constructors in org.springframework.core.type.classreading with parameters of type ResourceLoader
Modifier
Constructor
Description
``
`CachingMetadataReaderFactory(ResourceLoader resourceLoader)`
Create a new CachingMetadataReaderFactory for the given `ResourceLoader`, using a shared resource cache if supported or a local resource cache otherwise.
``
`SimpleMetadataReaderFactory(ResourceLoader resourceLoader)`
Create a new SimpleMetadataReaderFactory for the given resource loader.